[DEFAULT]
# Show more verbose log output (sets INFO log level output)
verbose = True

# Show debugging output in logs (sets DEBUG log level output)
debug = True

# Log to this file!
; log_file = /var/log/zaqar/server.log

;auth_strategy =

# ================= Syslog Options ============================

# Send logs to syslog (/dev/log) instead of to file specified
# by `log_file`
;use_syslog = False

# Facility to use. If unset defaults to LOG_USER.
;syslog_log_facility = LOG_LOCAL0

unreliable = True

[drivers]
# Transport driver module (e.g., wsgi, zmq)
transport = wsgi
# Storage driver module (e.g., mongodb, sqlalchemy)
storage = mongodb

[drivers:transport:wsgi]
bind = 127.0.0.1
port = 8888

;[drivers:transport:zmq]
;port = 9999

[limits:transport]
# The maximum number of queue records per page when listing queues
;max_queues_per_page = 20

# Maximum number of messages per page when listing messages.
;max_messages_per_page = 20

# Maximum number of messages that can be claimed or popped at a time.
;max_messages_per_claim_or_pop = 20

# Expiration limits; the minimal values are all 60 (seconds)
;max_message_ttl = 1209600
;max_claim_ttl = 43200
;max_claim_grace = 43200

# Maximum size in bytes allowed for queue metadata and bulk/single
# message post bodies (including whitespace and envelope fields).
;max_queue_metadata = 65536
;max_messages_post_size = 262144
